body {
	font-family: sans-serif;
	background-color: #000000;
	color: #ffffff;
	margin: 0;
}

h1 {
	text-align: center;
	font-weight: normal;
}

.img-list {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}

.img-list>div {
	margin: 2px;
	overflow: hidden;
}

.img-list .img {
	max-height: 360px;
	max-width: 100%;
	display: block;
}

.title {
	font-size: 1.5rem;
}

.date, .license {
	margin-top: 4px;
}

.link {
	color: inherit;
	text-decoration: none;
}

.img-details {
	width: 100vw;
	height: 100vh;
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;
}

#bottom-bar {
	min-height: 40px;
	width: 100%;
	background-color: #00000088;
	position: absolute;
	bottom: 0;
	display: flex;
	padding: 8px 12px;
	box-sizing: border-box;
}

#img-container {
	height: 100vh;
	width: 100vw;
	position: relative;
}

.img-details .img {
	height: 100%;
	width: 100%;
	display: block;
	object-fit: contain;
	position: absolute;;
	left: 0;
	top: 0;
	transition: opacity .2s;
}

.img-info-1 {
	flex: 1;
}

.img-info-2 {
	display: flex;
	align-items: center;
	justify-content: center;
}

#info-toggle {
	display: none;
}

.img-info-extra {
	overflow: hidden;
	height: 0;
	transition: height 0.5s ease-in-out;
}

#bottom-bar:has(#info-toggle:checked) .img-info-extra {
	height: initial;
}


.btn {
	background-color: #00000044;
	color: #dddddd;
	font-size: 36px;
	text-decoration: none;
	height: 48px;
	width: 48px;
	border-radius: 50%;
	text-align: center;
	transition: background-color .4s;
	display: flex;
	justify-content: center;
	align-items: center;   
}

.btn:hover {
	background-color: #000000aa;
}

#back {
	position: absolute;
	top: 12px;
	left: 12px;
}

#next {
	position: absolute;
	top: 50%;
	right: 12px;
}

#prev {
	position: absolute;
	top: 50%;
	left: 12px;
}

#info {
	height: 36px;
	width: 36px;
}
